Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Aggiornare in parte
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
trespass
n00b
n00b


Joined: 24 Feb 2003
Posts: 49
Location: Roma

PostPosted: Thu Apr 24, 2003 8:29 am    Post subject: Aggiornare in parte Reply with quote

Ogni volta che aggiorno con
Code:
emerge -u world

gentoo mi installa due pacchetti che non voglio: kdeedu e kdetoys (me li segna come N se scrivo emerge -up world).
Ho letto il manuale di emerge, ma non c'è scritto come si fa ad indicare di NON installare i SINGOLI pacchetti (c'è lo switch -kde per USE ma è troppo!). Qualcuno di voi può aiutarmi?? grazie grazie

max
Back to top
View user's profile Send private message
bsolar
Bodhisattva
Bodhisattva


Joined: 12 Jan 2003
Posts: 2764

PostPosted: Thu Apr 24, 2003 8:33 am    Post subject: Reply with quote

Soluzione alla brutto cane? Inniettali.
_________________
I may not agree with what you say, but I'll defend to the death your right to say it.
Back to top
View user's profile Send private message
trespass
n00b
n00b


Joined: 24 Feb 2003
Posts: 49
Location: Roma

PostPosted: Thu Apr 24, 2003 8:37 am    Post subject: Reply with quote

8O

che significa??
Back to top
View user's profile Send private message
bsolar
Bodhisattva
Bodhisattva


Joined: 12 Jan 2003
Posts: 2764

PostPosted: Thu Apr 24, 2003 8:43 am    Post subject: Reply with quote

Code:
# emerge --inject [categoria]/[package]

L'inserisce come fosse installato anche se non lo è.
_________________
I may not agree with what you say, but I'll defend to the death your right to say it.
Back to top
View user's profile Send private message
trespass
n00b
n00b


Joined: 24 Feb 2003
Posts: 49
Location: Roma

PostPosted: Thu Apr 24, 2003 8:47 am    Post subject: Reply with quote

:D ah ok!
mmm.. però così invece di installarmeli... me li aggiorna!! e mi passa sempre mezz'ora in più per compilare quei pacchetti del ca@@o... mi sa che me li tocca tenere :-(
Back to top
View user's profile Send private message
bsolar
Bodhisattva
Bodhisattva


Joined: 12 Jan 2003
Posts: 2764

PostPosted: Thu Apr 24, 2003 8:49 am    Post subject: Reply with quote

trespass wrote:
:D ah ok!
mmm.. però così invece di installarmeli... me li aggiorna!! e mi passa sempre mezz'ora in più per compilare quei pacchetti del ca@@o... mi sa che me li tocca tenere :-(

Se injecti le ultime versioni non dovrebbe aggiornarli.
_________________
I may not agree with what you say, but I'll defend to the death your right to say it.
Back to top
View user's profile Send private message
maur8
Apprentice
Apprentice


Joined: 04 Mar 2003
Posts: 229
Location: Pescara (in serie B!!!), Italy

PostPosted: Thu Apr 24, 2003 1:55 pm    Post subject: Reply with quote

bsolar wrote:
Soluzione alla brutto cane? Inniettali.

Soluzione alla brutto cane^2? Mascherali... 8)

aggiungi kdeedu e kdetoys in /usr/portage/profiles/package.mask
_________________
Maur8.
"They decided our fate in a microsecond. Extermination"
Sgt. Kyle Rise, The Terminator
Back to top
View user's profile Send private message
cerri
Bodhisattva
Bodhisattva


Joined: 05 Mar 2003
Posts: 2957
Location: # init S

PostPosted: Thu Apr 24, 2003 5:28 pm    Post subject: Reply with quote

/me ignorante. ma non basta
Code:
USE="-kde" emerge -u world
???
_________________
Enjoy your freedom.
Sex is like hacking. You get in, you get out, and you hope you didnt leave something behind that can be traced back to you.
<----------------------->
Andrea Cerrito
Back to top
View user's profile Send private message
bsolar
Bodhisattva
Bodhisattva


Joined: 12 Jan 2003
Posts: 2764

PostPosted: Thu Apr 24, 2003 5:35 pm    Post subject: Reply with quote

cerri wrote:
/me ignorante. ma non basta
Code:
USE="-kde" emerge -u world
???

Lo sapevo che il "terzo cane" si sarebbe fatto vivo... siamo proprio una bella banda bassotti... CMQ facendo così può darsi che la flag interferisca anche dove non serve o non è voluto...
_________________
I may not agree with what you say, but I'll defend to the death your right to say it.
Back to top
View user's profile Send private message
Yans
Apprentice
Apprentice


Joined: 09 Feb 2003
Posts: 171
Location: [TI] Switzerland

PostPosted: Fri Apr 25, 2003 9:17 am    Post subject: Reply with quote

bsolar wrote:
Code:
# emerge --inject [categoria]/[package]

L'inserisce come fosse installato anche se non lo è.


8O molto utile questo comando, non lo sapevo grazie :wink:
_________________
¿ Which do ARMS obtain, the peace in the future or the nightmare in the past ?
"There are only 10 types of people in the world: Those who understand binary, and those who don't"
Back to top
View user's profile Send private message
l0rdt
n00b
n00b


Joined: 04 Apr 2003
Posts: 34
Location: Cosenza (ITALY)

PostPosted: Fri Apr 25, 2003 11:53 am    Post subject: Reply with quote

bsolar wrote:
Code:
# emerge --inject [categoria]/[package]


Analogamente,
Code:
# emerge inject [categoria]/[package]

lol!In effetti funge in tutti e due i modi, ma "inject" è un'action e non un'option, quindi dovrebbe fungere nel secondo modo, almeno per quanto sta scritto in
Code:
# emerge --help

vale a dire, non in
Code:
# emerge help

che dovrebbe essere associato specificando se "config", "system" o "sync". In realtà, funziona soltanto
Code:
emerge --help [ config | system | sync ]

:) :D :lol:
Back to top
View user's profile Send private message
Sym
Tux's lil' helper
Tux's lil' helper


Joined: 05 Mar 2003
Posts: 114
Location: Bùsan

PostPosted: Fri Apr 25, 2003 12:12 pm    Post subject: Reply with quote

Ne approfitto per farvi una domanda, che vuol dire questo?

[ebuild U ] app-admin/gentoolkit-0.1.20 [0.1.19-r3]
[ebuild U ] media-video/nvidia-kernel-1.0.4349-r2 [1.0.4191-r2]
[ebuild U ] media-video/nvidia-glx-1.0.4349 [1.0.4191-r1]
[ebuild U ] sys-apps/module-init-tools-0.9.11-r3 [0.9.10-r5]
[ebuild U ] dev-db/mysqlnavigator-1.4.2 [1.4.1]
[blocks B ] x11-libs/xft ("virtual/xft" from pkg x11-base/xfree-4.3.0-r2)
[ebuild U ] x11-base/xfree-4.3.0-r2 [4.3.0-r1]

ovviamente mi riferisco al "blocks B". Se provo ad aggiornare mi esce un:
!! Error: the virtual/xft package conflicts with this package and both can't be installed on the same system together.
Grazie :D
_________________
"Dream on
Do you believe...all the things that you are seeing are true?
The Start's where the End's leading you
Do you believe...all's as twisted as one would perceive?
Seek the Answer and soon you'll believe"
Back to top
View user's profile Send private message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3680
Location: London, UK

PostPosted: Fri Apr 25, 2003 12:26 pm    Post subject: Reply with quote

Non vorrei dire castronerie,
e non saprei nemmeno darti una spiegazione scientifica alla tua domanda

ma penso proprio che significhi che xft nn va d'accordo con xfree4.3.0 visto che è già incluso in esso facendo così a pugni...
quindi:
Code:
# emerge -C xft
# emerge xfree


cmq sia nn l'avevo mai vista sta cosa
e quando ho aggiornato creando il grosso casino che mi è successo avrei preferito mi avvisasse di questa cosa... http://forums.gentoo.org/viewtopic.php?t=49599

:?
Back to top
View user's profile Send private message
cerri
Bodhisattva
Bodhisattva


Joined: 05 Mar 2003
Posts: 2957
Location: # init S

PostPosted: Sat Apr 26, 2003 6:01 am    Post subject: Reply with quote

bsolar wrote:
Lo sapevo che il "terzo cane" si sarebbe fatto vivo... siamo proprio una bella banda bassotti...


hihihi 8)
_________________
Enjoy your freedom.
Sex is like hacking. You get in, you get out, and you hope you didnt leave something behind that can be traced back to you.
<----------------------->
Andrea Cerrito
Back to top
View user's profile Send private message
trespass
n00b
n00b


Joined: 24 Feb 2003
Posts: 49
Location: Roma

PostPosted: Sat Apr 26, 2003 9:25 am    Post subject: Reply with quote

Eh eh :lol: Funge con inject (o come si chiama!!).. Gentilissimi e preziosissimi come al solito

grazie!!

max
Back to top
View user's profile Send private message
morellik
l33t
l33t


Joined: 03 Feb 2003
Posts: 629
Location: Firenze

PostPosted: Tue Apr 29, 2003 10:20 am    Post subject: Reply with quote

Io uso gli script postati qui http://forums.gentoo.org/viewtopic.php?t=45827 e non sono male. L'emerge viene filtrato e vengono visualizzati i pacchetti da aggiornare in una lista usando le dialog.
Puoi spuntare i pacchetti che non vuoi aggiornare e il gioco e' fatto.


CIao
morellik
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum